Subject: Re: bug#32840: linux-libre 4.18.9: shpchp is no longer a module (now: built-in)

From: [email-masked] (Ludovic Courtès)
Date: Fri, 19 Oct 2018 00:16:54 +0200

Hi Mark,

Mark H Weaver <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:

[...]

>> I’ve reopened the bug because I think we need the same change as in
>> fe73352e8073ea0a0e6f6b5591f24395671998ab for AArch64 (at least it
>> appears to be needed on the OverDrive 1000.)
>>
>> Could you take a look?
>
> Sure.  I've attached a proposed patch below.  Would you like to try it
> and push it to master if it works?

It does fix the problem for me so I’ve pushed it as
402e60859da609e95d16a04a253977da88f4077e.

>> (I’m not entirely sure about the workflow to get the updated config from
>> “make oldconfig”…)
>
> FYI, my current method is:
>
> * Unpack the latest linux-libre source.
> * Copy the existing kernel configuration to .config in the source dir.
> * Manually edit .config with desired configuration change.
> * Within "guix environment linux-libre" run:
>
>       ARCH=arm64 make oldconfig
>
>   More generally, ARCH should be set to the value returned by
>   'system->linux-architecture' in (gnu packages linux).
> * Manually edit out some changes that are clearly irrelevant,
>   such the addition of a top comment saying which compiler I have in my
>   PATH.

OK, thanks for explaining!

> Some day, I would prefer to have multiple smaller configuration files,
> with a shared common configuration plus smaller architecture-specific
> files, but we're not there yet.

Yeah…

Anyway I’m happy to say I have GuixSD running on the OverDrive 1000!
There were a few more shenanigans (the openSuSE kernel had a few things
set to “y” that we’re setting to “m”), but then it went smoothly.

Thanks!

Ludo’.